Loading...
Searching...
No Matches
kamg.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Provides an algebraic multigrid using a Krylov cycle. More...

`#include <dune/istl/preconditioners.hh>`
`#include "amg.hh"`

Go to the source code of this file.

## Classes

class | Dune::Amg::KAmgTwoGrid< AMG >
| Two grid operator for AMG with Krylov cycle. More...
class | Dune::Amg::KAMG< M, X, S, PI, K, A >
| an algebraic multigrid method using a Krylov-cycle. More...

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Detailed Description

Provides an algebraic multigrid using a Krylov cycle.

Author
  Markus Blatt